%define name	analog
%define version	6.0
%define release	%mkrel 1

Summary:	WWW server logfile analysis program
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.analog.cx/%{name}-%{version}.tar.bz2
Patch0:		%{name}-5.21-htmlform.patch.bz2
Patch1:		%{name}-5.23-perlform.patch.bz2
Patch2:		%{name}-5.31-config.patch.bz2
Patch3:		%{name}-5.22-defaults.patch.bz2
Patch4:		%{name}-5.22-png.patch.bz2
License:	Distributable
Group:		Monitoring
URL:		http://www.analog.cx/
BuildRequires:	XFree86-devel
BuildRequires:	freetype2-devel
BuildRequires:	gd-devel >= 2
BuildRequires:	jpeg-devel
BuildRequires:	pcre-devel
BuildRequires:	libpng-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
WWW server logfile analysis program with lots of features. Check
the home page at http://www.statslab.cam.ac.uk/~sret1/analog/ for
more information. You should edit the /etc/analog.cfg and
customizer it for your webserver with the HOSTNAME and HOSTURL
options. Perl is required for the html forms interface. Apache is
suggested as the default web server.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%make \
    CFLAGS="%{optflags}" \
    DEFS="-DHAVE_GD -DHAVE_ZLIB -DHAVE_PCRE -DLANGDIR=\\\"%{_datadir}/analog/\\\" -DCONFIGDIR=\\\"%{_sysconfdir}/\\\"" \
    LIBS="-lgd -lpcre -lpng -ljpeg -lz -lm" \

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/www/html/images
install -d %{buildroot}/var/www/html/analog/images
install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}%{_datadir}/analog
install -d %{buildroot}%{_mandir}/man1

install -m755 analog %{buildroot}%{_bindir}/
install -m644 analog.cfg %{buildroot}%{_sysconfdir}/
install -m555 anlgform.pl %{buildroot}/var/www/cgi-bin/
install -m644 anlgform.html %{buildroot}/var/www/html/
install -m644 analog.man %{buildroot}%{_mandir}/man1/analog.1

install -m644  images/*.png %{buildroot}/var/www/html/images/
install -m644  lang/* %{buildroot}%{_datadir}/analog/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Licence.txt README.txt docs/ examples/
%config(noreplace) %{_sysconfdir}/analog.cfg
%{_bindir}/analog
/var/www/cgi-bin/anlgform.pl
/var/www/html/anlgform.html
/var/www/html/images/*.png
%dir /var/www/html/analog
%dir /var/www/html/analog/images
%dir %{_datadir}/analog
%{_datadir}/analog/*
%{_mandir}/man1/*

%changelog
* Thu Nov 10 2005 Buchan Milne <bgmilne@mandriva.org> 6.0-1mdk
- 6.0
- drop p4 (merged upstream)
- drop redundant explicit requires

* Mon Jul 12 2004 Robert Vojta <robert.vojta@mandrake.org> 5.32-6mdk
- rpmlint warning fix (5.23-5mdk -> 5.32-5mdk), hope it's last typo :)

* Mon Jul 12 2004 Robert Vojta <robert.vojta@mandrake.org> 5.32-5mdk
- rpmlint warning fix (5.32.-4mdk -> 5.23-4mdk)

* Mon Jul 12 2004 Robert Vojta <robert.vojta@mandrake.org> 5.32-4mdk
- - #10238 - pass -D... to gcc, correct paths used

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.32-3mdk
- Fix DIRM (distlint)

* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.32-2mdk
- require perl-CGI

* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.32-1mdk
- 5.32

* Sun Jan 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.31-1mdk
- 5.31
- drop P3
- use system libs (requires & buidrequires)
- move langdir to %{_datadir}/analog
- change group

* Fri Oct 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.24-1mdk
- new version (security fix: CVE-2002-0166 CAN-2002-1154)

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.23-1mdk
- new version
- rediff P1 & P2
- rebuilt with gcc3.1

* Wed Apr  3 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.22-2mdk
- split P1 to P1 and P2
- provide working defaults (P4)
- we don't support gifs anymore, P5 (!)
- don't even publish those Unisys gifs at all...
- also provide the man page

* Wed Apr  3 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.22-1mdk
- security update (http://www.analog.cx/security4.html)
- fixed P1
- added P2

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.21-3mdk
- apply patch #1

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.21-2mdk
- bzip2 patches.

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.21-1mdk
- 5.21
- regenerate patches (#1 & #2) for 5.21

* Sun Feb  3 2002 Daouda LO <daouda@mandrakesoft.com> 5.1-1mdk  
- release 5.1-1mdk
- merge patches (#2 & #3) 

* Wed Oct 17 2001 Daouda LO <daouda@mandrakesoft.com> 5.01-2mdk  
- fix License and distribution tag.
- fix permissions on files


* Mon May 21 2001  Daouda Lo <daouda@mandrakesoft.com> 5.01-1mdk  
- 5.01
- removed some patches (#0, #4) & regenerate patch #2
- noreplace to config file

* Wed Mar  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.16-1mdk
- 4.16: includes fixes for buffer overflows in previous versions

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.13-1mdk
- updated to 4.13

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.01-3mdk
- BM
- Macros
 
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.01-2mdk
- bzip2 patches
  
* Wed Jan 19 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v4.01
- mandrake build
   
* Fri Dec 31 1999 Jackie Meese <jmeese@vt.edu>
- removed apache requirement
- no webserver requirement added either since not all web servers remember
- to use a Provides: tag when built  

